Where do we need to go to request that MythTV 0.24 be added back to the repositories?

I made the mistake of upgrading my backend to 12.04, and now recordings are failing due to this bug
which doesn't even look like it's being worked on. It's labeled as minor priority and medium severity --- How can failing to record can be anything less than critical severity!?

Everyone who reported the bug rolled back to 0.24 to fix it, so I rolled back to the previous Ubuntu LTS(10.04) for now but that's not supposed to be supported for much longer.